Skip to main content
GET
/
doctor
/
me
cURL
curl --request GET \
  --url https://api.iolokis.com/doctor/me \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "email": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "clinics": {
    "clinics_address": "<string>",
    "clinics_name": "<string>"
  },
  "specializations": "<string>",
  "contact_info": {
    "medical_license_number": "<string>",
    "mobile_number": "<string>",
    "office_number": "<string>",
    "website_url": "<string>"
  },
  "free_trial_left": 123,
  "is_premium": true,
  "social_media": {
    "facebook_url": "<string>",
    "instagram_url": "<string>",
    "linkedin_url": "<string>",
    "tiktok_url": "<string>",
    "x_url": "<string>"
  },
  "time_saved": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.iolokis.com/llms.txt

Use this file to discover all available pages before exploring further.

Account details can only be updated from the web dashboard for now.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

id
integer
required
email
string
required
first_name
string
required
last_name
string
required
clinics
object
required
specializations
string
contact_info
object
free_trial_left
integer
is_premium
boolean
social_media
object
time_saved
integer